## Bsoft program

# bsim

### Usage: bsim [options] in.star [in2.star]

Simulates TEM images from atomic coordinates.
The program has different entry and exit points: A new STAR file can be generated (use -generate or -symmetry option and no input STAR file) or parameters can be read in from existing STAR files. The provision of a coordinate file leads to calculation of potential slices.

### Input of STAR file(s) without a coordinate file implies that the potentials

| have already been calculated and will be used for multislice simulation.

### Actions:

-generate 10,3,50 | Generate a project, specifying number of fields, number of
| micrographs per field and number particles per micrograph.
-symmetry C5 | Generates images based on a grid in the asymmetric unit.
-coordinates file.pdb | Input coordinate file, generate simulated images in project.
-image | Generate a final image and parameter file (default not).
-poisson | Add poisson noise (default not).
-gaussian 0.2 | Add gaussian noise with the given signal-to-noise ratio.
-MTF 17.5 | Set the MTF decay constant (required to impose MTF).

### Parameters:

-verbose 7 | Verbosity of output.

### Parameters for generation:

-translate 2.4 | Standard deviation for random translation (default 0).
-origin 120 | Set the particle image origin (default 50 pixels).
-angles 8,6 | Step sizes for theta and phi in the asymmetric unit, one value sets both.
| Use with the -symmetry option (default 10,10).
-Pixelsize 5.5 | Set the particle pixel size (default 1 angstrom/pixel).
-electrondose 35.5 | Set the electron dose (default 20 electrons/angstrom).
-Cs 2.0 | Set the spherical aberration, Cs (default 2 mm).
-Cc 2.0 | Set the chromatic aberration, Cc (default 2.0 mm).
-alpha 0.15 | Set the illumination half-angle (default 0.1 milliradians).
-energyspread 2e-5 | Set the effective energy spread (default 1e-5).
-Volt 100 | Set the acceleration voltage (default 120 kV).
-Amplitude 0.07 | Set the amplitude contrast (fraction, default 0.07).
-Defocus 0.5,3.4 | Defocus range (required to apply CTF).
-fieldbasename field | Field-of-view base name (default field).
-fieldnumber 5 | Field starting number (default 1).
-mgbasename mg | Micrograph base name (default mg).
-mgnumber 23 | Micrograph starting number (default 1).
-partbasename part | Particle base name (default part).
-partnumber 158 | Particle starting number (default 1).

### Parameters for simulation:

-fieldname field | Field-of-view name (for selecting a specific field).
-mgname mg | Micrograph base name (for selecting a specific micrograph).
-partselect 132 | Particle selection for potential generation (default all).
-type real | Type of potential calculation (default reciprocal, other gauss).
-size 100,80,120 | Size of enclosing box (default based on input coordinates).
-thickness 20 | Slice thickness in angstrom (default 10 A).
-resolution 8.5 | Resolution limits (default Nyquest frequency).
-Bfactor 24.5 | Set the overall temperature factor (default 0 A^2).

### Input:

-parameters param.star | Parameter file name for electron scattering curves (default atom_prop.star).
-Water water.pdb | Block of water to embed the molecule into (default none).

### Output:

-output mg.star | Parameter file (use with generate option).

Bsoft version 2.0.3-20180917 (64 bit)